KRecentDocument Class Reference

`#include <krecentdocument.h>`

## Static Public Member Functions

static QStringList | recentDocuments ()
static void | add (const KURL &url)
static void | add (const KURL &url, const QString &desktopEntryName)
static void | add (const QString &documentStr, bool isURL=false)
static void | clear ()
static int | maximumItems ()
static QString | recentDocumentDirectory ()

## Detailed Description

Manage the "Recent Document Menu" entries displayed by applications such as Kicker and Konqueror.

These entries are automatically generated .desktop files pointing to the current application and document. You should call the static add() method whenever the user opens or saves a new document if you want it to show up in the menu.

You don't have to worry about this if you are using any KFileDialog derived class to open and save documents, as it already calls this class. User defined limits on the maximum number of documents to save, etc... are all automatically handled.

Author
  Daniel M. Duley mosfe.nosp@m.t@kd.nosp@m.e.org

Definition at line 50 of file krecentdocument.h.

## Member Function Documentation

void KRecentDocument::add | ( | const KURL & | url | ) |

static

Add a new item to the Recent Document menu.

Parameters

  url | The url to add.

Definition at line 75 of file krecentdocument.cpp.

void KRecentDocument::add | ( | const KURL & | url,
|  | const QString & | desktopEntryName
| ) |  |

static

Add a new item to the Recent Document menu, specifying the application to open it with.

The above add() method uses argv[0] for the app name, which isn't always flexible enough. This method is used when an application launches another one to open a document.

Parameters

  url | The url to add.
  desktopEntryName | The desktopEntryName of the service to use for opening this document.

Definition at line 80 of file krecentdocument.cpp.

void KRecentDocument::add | ( | const QString & | documentStr,
|  | bool | isURL = `false`
| ) |  |

static

Add a new item to the Recent Document menu.

Calls add( url ).

Parameters

  documentStr | The full path to the document or URL to add.
  isURL | Set to `true` if `documentStr` is an URL and not a local file path.

Definition at line 151 of file krecentdocument.cpp.

void KRecentDocument::clear | ( |  | ) |

static

Clear the recent document menu of all entries.

Definition at line 162 of file krecentdocument.cpp.

int KRecentDocument::maximumItems | ( |  | ) |

static

Returns the maximum amount of recent document entries allowed.

Definition at line 170 of file krecentdocument.cpp.

QString KRecentDocument::recentDocumentDirectory | ( |  | ) |

static

Returns the path to the directory where recent document .desktop files are stored.

Definition at line 45 of file krecentdocument.cpp.

QStringList KRecentDocument::recentDocuments | ( |  | ) |

static

Return a list of absolute paths to recent document .desktop files, sorted by date.

Definition at line 51 of file krecentdocument.cpp.

The documentation for this class was generated from the following files:

- krecentdocument.h
- krecentdocument.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys